## haml-elisp 3.2.1

=== Makefile ===
EMACS ?= emacs

# A space-separated list of required package names
NEEDED_PACKAGES = package-lint

INIT_PACKAGES="(progn \
  (require 'package) \
  (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
  (package-initialize) \
  (dolist (pkg '(${NEEDED_PACKAGES})) \
    (unless (package-installed-p pkg) \
      (unless (assoc pkg package-archive-contents) \
	(package-refresh-contents)) \
      (package-install pkg))) \
  )"

all: compile package-lint clean-elc

package-lint:
	${EMACS} -Q --eval ${INIT_PACKAGES} --eval '(setq package-lint-main-file "haml-mode.el")' -batch -f package-lint-batch-and-exit *.el

compile: clean-elc
	${EMACS} -Q --eval ${INIT_PACKAGES} -L . -batch -f batch-byte-compile *.el

clean-elc:
	rm -f f.elc

.PHONY:	all compile clean-elc package-lint

## haml-elisp 3.0.15

=== debian/changelog ===
haml-elisp (1:3.0.15-1) unstable; urgency=low

  * Initial release (Closes: #654840)
  * Gave a epoch of 1 because there was already a haml-elisp package
    (built by libhaml-ruby and then ruby-haml, which reached 3.1.4-1).

 -- Gastón Ramos <ramos.gaston@gmail.com>  Fri, 30 Dec 2011 14:01:39 -0300

=== debian/control ===
Source: haml-elisp
Section: lisp
Priority: optional
Maintainer: Gastón Ramos <ramos.gaston@gmail.com>
Uploaders: Gunnar Wolf <gwolf@debian.org>
Build-Depends: debhelper (>= 8.0.0), quilt
Standards-Version: 3.9.2
Homepage: http://haml-lang.com/
Vcs-Git: git://git.debian.org/collab-maint/haml-elisp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/haml-elisp.git;a=summary

Package: haml-elisp
Section: lisp
Architecture: all
Recommends: ruby-haml
Depends: ${misc:Depends}, emacs | emacsen, emacs23 | ruby-elisp
Description: Emacs Lisp mode for the Haml markup language	
 This package provides the emacs-lisp for syntax-highlighting Haml
 mode. Haml (see haml-ruby) is a markup language designed to simplify
 and beautify the maintenance and ease of writing HTML templates.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

install::
	install -d ./debian/haml-elisp/usr/share/emacs/site-lisp/haml-elisp
	install -m 0644 haml-mode.el ./debian/haml-elisp/usr/share/emacs/site-lisp/haml-elisp/

## haml-elisp 3.1.0

=== debian/changelog ===
haml-elisp (1:3.1.0-3.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 16:26:23 +0100

haml-elisp (1:3.1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch d/haml-elisp.emacsen-install to support emacs25 (Closes: #849693).
    Thanks Rob Browning for the fix.
  * Add missing d/haml-elisp.emacsen-compat.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Jan 2017 12:55:19 -0700

haml-elisp (1:3.1.0-3) unstable; urgency=medium

  * Fix dependencies, replace emacs23 by emacs, emacs23 will be removed
    from the repositories.

 -- Gastón Ramos <ramos.gaston@gmail.com>  Mon, 07 Jul 2014 09:30:54 -0300

haml-elisp (1:3.1.0-2) UNRELEASED; urgency=low

  [ Gastón Ramos ]
  * Fix dependencies, added emacs24 as an option, so that emacs23 is no required
    when the user has emacs24 installed and not emacs23.

  [ Gunnar Wolf ]
  * Standards-version 3.9.3→3.9.5 (No changes needed)

 -- Gastón Ramos <ramos.gaston@gmail.com>  Tue, 04 Feb 2014 06:46:51 -0300

haml-elisp (1:3.1.0-1) unstable; urgency=low

  * New upstream release
  * Updated standards-version 3.9.3 → 3.9.4
  * Updated the project homepage from http://haml-lang.com/ to
    http://haml.info/
  * Updated source location in debian/copyright, as it was split off the
    main Haml package
  * This finally allows us to create a debian/watch file, yay!
  * Avoid doubly loading haml-mode into the auto-mode-alist (Closes:
    #680698)
  * Fix some warnings at installation time for Emacs 24:
    * References to undefined variables
    * Skip the call to font-lock-syntactic-keywords (now deprecated)
    * Still pending: The warning regarding 'aget' under Emacs 23; the
      warning for not using the return value for the version comparison
      for the font-lock-syntactic-keywords fix :-P

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 27 May 2013 10:10:34 -0500

haml-elisp (1:3.0.15-5) unstable; urgency=low

  * Add Emacs24 to the list of supported emacsen (Closes: #686796)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 05 Sep 2012 18:01:44 -0500

haml-elisp (1:3.0.15-4) unstable; urgency=low

  * remove the symlink or src file if exists and 
    make a symlink instead of copy the source file 
    (Closes: #672251)

 -- Gastón Ramos <ramos.gaston@gmail.com>  Mon, 09 May 2012 11:50:37 -0300

haml-elisp (1:3.0.15-3) unstable; urgency=low

  * Added symlink to the source code for emacs23 (Closes: #671567)

 -- Gastón Ramos <ramos.gaston@gmail.com>  Mon, 07 May 2012 10:43:37 -0300

haml-elisp (1:3.0.15-2) unstable; urgency=low

  [ Gastón Ramos ]
  * Byte-compile only for supported emacsen (Closes: #665297, #665292)

  [ Gunnar Wolf ]
  * Standards-version 3.9.2→3.9.3 (no changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 20 Apr 2012 17:43:37 -0500

=== debian/watch ===
version=3
http://githubredir.debian.net/github/nex3/haml-mode/(\d.*).tar.gz

## haml-elisp 3.1.9

=== debian/changelog ===
haml-elisp (1:3.1.9-1) unstable; urgency=medium

  * Team upload

  [ Gunnar Wolf ]
  * Update Vcs-Git, Vcs-Browser to point at salsa instead of alioth

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces

  [ Andreas Tille ]
  * Fix watch file
  * debhelper-compat (= 13)
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Use canonical URL in Vcs-Browser.
  * Fix day-of-week for changelog entry 1:3.0.15-4.
  * Remove field Section on binary package haml-elisp that duplicates source.
  * Add debian/upstream/metadata
  * Build-Depends: dh-elpa

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jul 2025 08:07:46 +0200

=== debian/control ===
Source: haml-elisp
Section: lisp
Priority: optional
Maintainer: Gastón Ramos <ramos.gaston@gmail.com>
Uploaders: Gunnar Wolf <gwolf@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.7.2
Homepage: https://haml.info/
Vcs-Git: https://salsa.debian.org/debian/haml-elisp.git
Vcs-Browser: https://salsa.debian.org/debian/haml-elisp

Package: haml-elisp
Architecture: all
Recommends: ruby-haml
Depends: ${misc:Depends}, emacs
Description: Emacs Lisp mode for the Haml markup language
 This package provides the emacs-lisp for syntax-highlighting Haml
 mode for emacs. Haml (see haml-ruby) is a markup language designed
 to simplify and beautify the maintenance and ease of writing HTML templates.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/nex3/haml-mode/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## haml-elisp 3.2.1

=== debian/changelog ===
haml-elisp (1:3.2.1-1) unstable; urgency=medium

  * Pull unversioned changes from upstream Git repository
    * Actually, versioning information _is_ provided, but inside the main
      source file itself :-\ Set version number accordingly.
  * Update the Homepage: field from the generic Haml webpage to the
    haml-mode repository
  * Set myself as the only named uploader
  * Drop the fix-references-to-free-variables and skip-deprecated-
    syntactic-keywords-call patches (included upstream)
  * Rename binary package from haml-elisp to elpa-haml, following
    current practice

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 17 Nov 2025 16:13:13 -0600

=== debian/control ===
Source: haml-elisp
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Gunnar Wolf <gwolf@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa (>= 2.0.6~)
Standards-Version: 4.7.2
Homepage: https://github.com/nex3/haml-mode
Vcs-Git: https://salsa.debian.org/debian/haml-elisp.git
Vcs-Browser: https://salsa.debian.org/debian/haml-elisp

Package: elpa-haml
Architecture: all
Recommends: ruby-haml
Replaces: haml-elisp (<< 3.1.9+3bb4a965-1)
Provides: haml-elisp (= 3.1.9+3bb4a965-1)
Breaks: haml-elisp (<< 3.1.9+3bb4a965-1)
Depends: ${misc:Depends}, emacs
Description: Emacs Lisp mode for the Haml markup language
 This package provides the emacs-lisp for syntax-highlighting Haml
 mode for emacs. Haml (see haml-ruby) is a markup language designed
 to simplify and beautify the maintenance and ease of writing HTML templates.

Package: haml-elisp
Depends: elpa-haml, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: Emacs Lisp mode for Haml -- Transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
%:
	ELPA_NAME=haml-mode dh $@ --with elpa
